{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
<form method="get">
    <div class="row clearfix">
    	<div class="row clearfix">
            <div class="col-md-2 column">
                <div class="row clearfix">
                	<div class="btn-toolbar" role="toolbar">
                    	<div class="btn-group">
                            	<span class="fui-search" data-toggle="modal" data-target="#ModalSearchSales"></span>
                                <span class="glyphicon glyphicon-refresh" onClick="
                                    submitform('sales_refresh_form');
                                "></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12 column">
                <div class="row clearfix">
                    <table class="table table-bordered">
                        <thead>
                          <tr>
                            <th width=25%>{% blocktrans %}Date{% endblocktrans %}</th>
                            <th width=25%>{% blocktrans %}Client{% endblocktrans %}</th>
                            <th width=25%>{% blocktrans %}Seller{% endblocktrans %}</th>
                            <th width=25%>{% blocktrans %}Total{% endblocktrans %}</th>
                          </tr>
                        </thead>
                    </table>

                    <div class="panel-group" id="accordion">
                        {% for factura, lista_lineas in lista_ventas %}
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                  <h4 class="panel-title">
                                    <a data-toggle="collapse" data-parent="#accordion" href="#sales_collapse_{{factura.id}}">
                                        <table class="table">
                                            <tbody>
                                              <tr>
                                                <td width=25%>{{factura.fecha}}</td>
                                                <td width=25%>{{factura.cliente.nombre}} {{factura.cliente.apellidos}}</td>
                                                <td width=25%>{{factura.vendedor.nombre}} {{factura.vendedor.apellidos}}</td>
                                                <td width=25%>{{factura.importe}} &euro;</td>
                                              </tr>
                                            </tbody>
                                        </table>
                                    </a>
                                  </h4>
                                </div>
                                <div id="sales_collapse_{{factura.id}}" class="panel-collapse collapse">
                                  <div class="panel-body">
                                    <table class="table">
                                        <thead>
                                            <th width=25%>{% blocktrans %}Product{% endblocktrans %}</th>
                                            <th width=25%>{% blocktrans %}Amount{% endblocktrans %}</th>
                                            <th width=25%>{% blocktrans %}Prize{% endblocktrans %}</th>
                                            <th width=25%>{% blocktrans %}Total{% endblocktrans %}</th>
                                        </thead>
                                        <tbody>
                                            {% for linea in lista_lineas %}
                                              <tr>
                                                <td width=25%>{{linea.producto_nombre}}</td>
                                                <td width=25%>{{linea.producto_cantidad_vendida}}</td>
                                                <td width=25%>{{linea.producto_precio}} &euro;</td>
                                                <td width=25%>{{linea.importe_total}} &euro;</td>
                                              </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                  </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-12 column">
                        <div class="text-center">
                            <div class="pagination pagination-minimal">
                                <ul>
                                    {% if paginacion.has_previous %}
                                    <li class="previous"><a href="?page={{ paginacion.previous_page_number }}" class="fui-arrow-left"></a></li>
                                    {% else %}
                                    <li class="previous"><a href="?page=1" class="fui-arrow-left"></a></li>
                                    {% endif %}
                                    {% for i in paginas %}
                                      {% ifequal i paginacion.number %}
                                    <li class="active"><a href="?page={{i}}">{{i}}</a></li>
                                      {% else %}
                                    <li><a href="?page={{i}}">{{i}}</a></li>
                                      {% endifequal %}
                                    {% endfor %}
                                    <!--<li class="active"><a href="#fakelink">5</a></li>-->
                                    {% if paginacion.has_next %}
                                    <li class="next"><a href="?page={{ paginacion.next_page_number }}" class="fui-arrow-right"></a></li>
                                    {% else %}
                                    <li class="next"><a href="?page=99999999999999999" class="fui-arrow-right"></a></li>
                                    {% endif %}
                                </ul>
                                <br /><br /><br />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

<form method="get" id="sales_refresh_form">
    <input name="sales_refresh" value="1" style="display:none;">
</form>

<!-- Modal -->
<form method="get">
<div class="modal fade" id="ModalSearchSales" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Sales filter{% endblocktrans %}</h4>
      </div>
      <div class="modal-body">
        <small>{% blocktrans %}Client{% endblocktrans %}:</small>
        <input type="text" value="" placeholder="{% blocktrans %}Type name/username{% endblocktrans %}" class="form-control" name="sales_client" autocomplete="off">
        <small>{% blocktrans %}Seller{% endblocktrans %}:</small>
        <input type="text" value="" placeholder="{% blocktrans %}Type name/username{% endblocktrans %}" class="form-control" name="sales_seller" autocomplete="off">
        <small>{% blocktrans %}Init Date{% endblocktrans %}:</small>
        <div class="row clearfix">
            <div class="col-md-4 column">
                <input type="text" placeholder="hh:mm" class="form-control" name="sales_init_hour" autocomplete="off" pattern="[0-2]?[0-9]:[0-5][0-9]">
            </div>
            <div class="col-md-8 column">
                <div class="form-group">
                  <div class="input-group">
                    <span class="input-group-btn">
                      <button class="btn" type="button"><span class="fui-calendar"></span></button>
                    </span>
                    <input type="text" class="form-control" placeholder="dd {% blocktrans %}month{% endblocktrans %}, yyyy" id="datepicker-01" name="sales_init_date" pattern="[0-3]?[0-9]\s(January|February|March|April|May|June|July|August|September|October|November|December),\s[2-4][0-9]{3}"/>
                  </div>
                </div>
            </div>
        </div>
        <small>{% blocktrans %}Finish Date{% endblocktrans %}:</small>
        <div class="row clearfix">
            <div class="col-md-4 column">
                <input type="text" placeholder="hh:mm" class="form-control" name="sales_finish_hour" autocomplete="off" pattern="[0-2]?[0-9]:[0-5][0-9]">
            </div>
            <div class="col-md-8 column">
                <div class="form-group">
                  <div class="input-group">
                    <span class="input-group-btn">
                      <button class="btn" type="button"><span class="fui-calendar"></span></button>
                    </span>
                    <input type="text" class="form-control" placeholder="dd {% blocktrans %}month{% endblocktrans %}, yyyy" id="datepicker-02" name="sales_finish_date" pattern="[0-3]?[0-9]\s(January|February|March|April|May|June|July|August|September|October|November|December),\s[2-4][0-9]{3}"/>
                  </div>
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Clean{% endblocktrans %}</button>
        <button type="submit" class="btn btn-primary" name="sales_search">{% blocktrans %}Search{% endblocktrans %}</button>
      </div>
    </div>
  </div>
</div>
</form>

{% endblock %}